Bug 206096 - games/stockfish: Update to 8
Summary: games/stockfish: Update to 8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-01-10 12:07 UTC by Gautam Mani
Modified: 2017-11-23 21:19 UTC (History)
2 users (show)

See Also:


Attachments
patch (2.00 KB, patch)
2016-01-10 12:07 UTC, Gautam Mani
koobs: maintainer-approval+
Details | Diff
Patch for games/stockfish to version 8 (2.51 KB, patch)
2016-11-02 00:59 UTC, m.ne
no flags Details | Diff
patch updated to support stockfish-8 (2.92 KB, patch)
2017-07-10 17:32 UTC, Gautam Mani
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gautam Mani 2016-01-10 12:07:37 UTC
Created attachment 165354 [details]
patch

Here is the maintenance patch update to update games/stockfish to version 7.

Patch is included.
Book support is removed from the latest stockfish versions, hence also from the port.

Fix: Patch is attached.

Patch attached with submission follows:
How-To-Repeat: NA
Comment 1 Jason Unovitch freebsd_committer 2016-01-26 10:32:58 UTC
Can you address the failures to build on FreeBSD 9.3?

https://people.FreeBSD.org/~junovitch/poudriere/PR206096/

With the patch, this port seems to override compiler:c++11-(lang|lib) somewhere and fail to compile with the base GCC in FreeBSD 9.3.
Comment 2 Gautam Mani 2016-01-27 07:27:28 UTC
OK, I will check. I do not have a 9.3 system readily available, but will build it up to check this. Just to confirm - is this the only issue seen as of now ?
Comment 3 m.ne 2016-11-02 00:59:29 UTC
Created attachment 176403 [details]
Patch for games/stockfish to version 8

As stockfish 8 was released recently, I made a new patch to bring the port up to date.

Changes are:
- change version to stockfish-8
- further simplify the distfile information, as stockfish only has the source archive since version 6.
- add a path to the package make file to not overwrite the compiler definitions generated by the ports framework. (This should get rid of the build failure on FreeBSD 9. I have no system to check this, though.)
Comment 4 Jason Unovitch freebsd_committer 2016-11-30 00:07:54 UTC
(In reply to m.ne from comment #3)
Hi, sorry the delay. I missed the original notice. This didn't build on 9. I added compiler:c++11-lang and it got further along but still failed on a few includes. Checking now with compiler:c++11-lib. I need to build the new GCC so this will take some time.
Comment 5 m.ne 2016-11-30 14:30:16 UTC
(In reply to Jason Unovitch from comment #4)

This issue might block it at the moment, though:

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=214863
Comment 6 Jason Unovitch freebsd_committer 2016-12-28 03:21:05 UTC
(In reply to m.ne from comment #5)
Thanks.  Currently per https://www.FreeBSD.org/security/security.html#sup the ports collection will no longer be required to support FreeBSD 9.x come 1 January and I can update with the current patch.
Comment 7 Gautam Mani 2017-07-10 17:32:17 UTC
Created attachment 184237 [details]
patch updated to support stockfish-8
Comment 8 Gautam Mani 2017-07-10 17:33:23 UTC
Updating this long due maintenance patch update. Updated Bug title to stockfish-8 instead of the earlier 7. Also building on the patch that m.ne provided.
Checked on 10.3-RELEASE-amd64 and 11.0-RELEASE-amd64

Fix: Patch "patch-stockfish5-8" is attached which is the latest patch.

Summary of all changes:
    - updated to stockfish-8
    - Book support is removed from the latest stockfish versions
    - Profile build support is removed; issues seen with building with that option
Comment 9 Gautam Mani 2017-08-28 11:26:54 UTC
@junovitch - are you able to take a look at this ?
Comment 10 commit-hook freebsd_committer 2017-11-23 21:17:24 UTC
A commit references this bug:

Author: junovitch
Date: Thu Nov 23 21:16:45 UTC 2017
New revision: 454799
URL: https://svnweb.freebsd.org/changeset/ports/454799

Log:
  games/stockfish: update 5 -> 8

  - Book support removed; it was removed from latest stockfish version
  - PROFILE option support is no longer functional and was removed

  PR:		206096
  Submitted by:	Gautam Mani <execve@gmail.com> (maintainer)

Changes:
  head/games/stockfish/Makefile
  head/games/stockfish/distinfo
  head/games/stockfish/files/
  head/games/stockfish/files/patch-Makefile
Comment 11 Jason Unovitch freebsd_committer 2017-11-23 21:19:50 UTC
(In reply to Gautam Mani from comment #9)
Gautam,
I am very sorry for the delay; I did not see this comment and I have had other obligations preventing me from keeping up as a committer.  Your update was committed as as.  Thank you for your time and patience seeing this issue through since opening.  Again I apologize for the delay.